pcl::poisson::BSplineData< Degree, Real >::BSplineComponents Struct Reference

`#include <pcl/surface/3rdparty/poisson4/bspline_data.h>`

## Public Member Functions

Polynomial< Degree > & | operator[] (int idx)
const Polynomial< Degree > & | operator[] (int idx) const
void | printnl (void) const
BSplineComponents | scale (double s) const
BSplineComponents | shift (double s) const

## Public Attributes

Polynomial< Degree > | polys [Degree+1]

## Detailed Description

### template<int Degree, class Real>
struct pcl::poisson::BSplineData< Degree, Real >::BSplineComponents

Definition at line 47 of file bspline_data.h.

## Member Function Documentation

## operator[]() [1/2]

template<int Degree, class Real>

Polynomial< Degree >& pcl::poisson::BSplineData< Degree, Real >::BSplineComponents::operator[] | ( | int | idx | ) |

inline

Definition at line 50 of file bspline_data.h.

## operator[]() [2/2]

template<int Degree, class Real>

const Polynomial< Degree >& pcl::poisson::BSplineData< Degree, Real >::BSplineComponents::operator[] | ( | int | idx | ) | const

inline

Definition at line 51 of file bspline_data.h.

## printnl()

template<int Degree, class Real>

void pcl::poisson::BSplineData< Degree, Real >::BSplineComponents::printnl | ( | void |  | ) | const

inline

Definition at line 52 of file bspline_data.h.

References pcl::poisson::BSplineData< Degree, Real >::BSplineComponents::printnl().

Referenced by pcl::poisson::BSplineData< Degree, Real >::BSplineComponents::printnl().

## scale()

template<int Degree, class Real>

BSplineComponents pcl::poisson::BSplineData< Degree, Real >::BSplineComponents::scale | ( | double | s | ) | const

inline

Definition at line 53 of file bspline_data.h.

References pcl::poisson::BSplineData< Degree, Real >::BSplineComponents::scale().

Referenced by pcl::poisson::BSplineData< Degree, Real >::BSplineComponents::scale().

## shift()

template<int Degree, class Real>

BSplineComponents pcl::poisson::BSplineData< Degree, Real >::BSplineComponents::shift | ( | double | s | ) | const

inline

Definition at line 54 of file bspline_data.h.

References pcl::poisson::BSplineData< Degree, Real >::BSplineComponents::shift().

Referenced by pcl::poisson::BSplineData< Degree, Real >::BSplineComponents::shift().

## Member Data Documentation

## polys

template<int Degree, class Real>

Polynomial< Degree > pcl::poisson::BSplineData< Degree, Real >::BSplineComponents::polys[Degree+1]

Definition at line 49 of file bspline_data.h.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/poisson4/bspline_data.h